
@article{Turchin1986Supercompiler,
    Author = {Turchin, V. F.},
    Journal = {ACM Transactions on Programming Languages and Systems (TOPLAS)},
    Number = {3},
    Pages = {292-325},
    Title = {The concept of a supercompiler},
    Volume = {8},
    Year = {1986}}


@article{Turchin1979ScpSystem,
    Author = {Turchin, V. F.},
    Journal = {SIGPLAN Not.},
    Number = {2},
    Pages = {46--54},
    Title = {A supercompiler system based on the language {REFAL}},
    Volume = {14},
    Year = {1979}}

@inproceedings{Turchin1982Experiments,
    Address = {New York, NY, USA},
    Author = {Turchin, V. F. and Nirenberg, R. M. and Turchin, D. V.},
    Booktitle = {LFP '82: Proceedings of the 1982 ACM symposium on LISP and functional programming},
    Pages = {47--55},
    Publisher = {ACM},
    Title = {Experiments with a supercompiler},
    Year = {1982}}


@article{Nemytykh1996ProgTrans,
    Author = {Nemytykh, A. P. and Pinchuk, V. A.},
    Journal = {LECTURE NOTES IN COMPUTER SCIENCE},
    Pages = {249-260},
    Title = {Program Transformation with Metasystem Transitions: Experiments with a Supercompiler},
    Year = {1996}}


@mastersthesis{Sorensen1994TurchinSupercompiler,
    Author = {S{\o}rensen, M. H.},
    School = {Dept. of Computer Science, University of Copenhagen},
    Title = {Turchin{'}s Supercompiler Revisited: an Operational Theory of Positive Information Propagation},
    Year = {1994}}


@article{Sorensen1996Positive,
    Author = {S{\o}rensen, M. H. and Gl{\"u}ck, R. and Jones, N. D.},
    Journal = {Journal of Functional Programming},
    Number = {6},
    Pages = {811-838},
    Title = {A Positive Supercompiler.},
    Volume = {6},
    Year = {1996}}


@inproceedings{Klyuchnikov2009SPSC,
    Author = {Klyuchnikov, I. G. and Romanenko, S. A.},
    Booktitle = {PU'09 (International Workshop on Program Understanding)},
    Title = {{SPSC}: a Simple Supercompiler in Scala},
    Year = {2009}}


@article{Klyuchnikov2009HOSC,
    Author = {Klyuchnikov, I. G.},
    Journal = {Keldysh Institute Preprints},
    Number = {63},
    Title = {Supercompiler {HOSC} 1.0: under the hood},
    Year = {2009},
    Address = {Moscow},
    Note = {\\\mbox{URL: \url{http://library.keldysh.ru/preprint.asp?id=2009-63}}}
    }


@inproceedings{Hamilton2010Graph,
    Author = {Hamilton, G. W.},
    Booktitle = {Second International Workshop on Metacomputation in Russia},
    Title = {A Graph-Based Definition of Distillation},
    Year = {2010}}
